## akonadi-import-wizard 19.12.3

=== doc/CMakeLists.txt ===
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR importwizard)

=== src/libimportwizard/CMakeLists.txt ===
ecm_setup_version(PROJECT
    VARIABLE_PREFIX IMPORTWIZARD
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/importwizard_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPimImportWizardConfigVersion.cmake"
    SOVERSION 5
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimImportWizard")


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimImportWizardConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimImportWizardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPimImportWizardConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPimImportWizardConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPimImportWizardTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPimImportWizardTargets.cmake
    NAMESPACE KPim::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/importwizard_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim/"
    COMPONENT Devel
)



set(libimportwizard_abstract_SRCS
    abstractimporter.cpp
    abstractsettings.cpp
    abstractaddressbook.cpp
    abstractcalendar.cpp
    abstractbase.cpp
    abstractdisplayinfo.cpp
    )
set(libimportwizard_utils_SRCS
    importwizardutil.cpp
    )

ecm_qt_declare_logging_category(libimportwizard_abstract_SRCS HEADER libimportwizard_debug.h IDENTIFIER LIBIMPORTWIZARD_LOG CATEGORY_NAME org.kde.pim.importwizard.lib)

add_library(KPimImportWizard ${libimportwizard_abstract_SRCS} ${libimportwizard_utils_SRCS})

add_library(KPim::ImportWizard ALIAS KPimImportWizard)


target_include_directories(KPimImportWizard INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KPim/ImportWizard;${KDE_INSTALL_INCLUDEDIR_KF5}/KPim/>")


generate_export_header(KPimImportWizard BASE_NAME libimportwizard)

target_link_libraries(KPimImportWizard
    PUBLIC
    KF5::MailTransport
    PRIVATE
    KF5::Archive
    KF5::PimCommon
    KF5::MailCommon
    KF5::MailImporter
    KF5::I18n
    )

set_target_properties(KPimImportWizard PROPERTIES
    VERSION ${IMPORTWIZARD_VERSION_STRING}
    SOVERSION ${IMPORTWIZARD_SOVERSION}
    EXPORT_NAME ImportWizard
)

install(TARGETS
    KPimImportWizard
    EXPORT KPimImportWizardTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)


install(TARGETS KPimImportWizard ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK})

ecm_generate_headers(ImportWizard_CamelCase_HEADERS
    HEADER_NAMES
    AbstractBase
    AbstractDisplayInfo
    AbstractImporter
    AbstractSettings
    AbstractAddressBook
    AbstractCalendar
    ImportWizardUtil
    PREFIX ImportWizard
    REQUIRED_HEADERS ImportWizard_HEADERS
    )

install(FILES
    ${ImportWizard_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPim/ImportWizard/
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libimportwizard_export.h
    ${ImportWizard_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KPim/importwizard/
    COMPONENT Devel
    )

=== src/manual/pics/CMakeLists.txt ===
install( FILES step1.png  DESTINATION ${KDE_INSTALL_DATADIR}/importwizard/pics)

=== src/plugins/balsa/CMakeLists.txt ===
set(balsaimporter_SRCS
    balsaaddressbook.cpp
    balsaimportdata.cpp
    balsasettings.cpp
    )
ecm_qt_declare_logging_category(balsaimporter_SRCS HEADER balsaplugin_debug.h
    IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin)

kcoreaddons_add_plugin(balsaimporterplugin JSON balsaimporter.json SOURCES
    ${balsaimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(balsaimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(balsaimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::MailCommon
    KF5::IdentityManagement
    KF5::MessageViewer
    )

=== src/plugins/sylpheed/CMakeLists.txt ===
set(sylpheedimporter_SRCS
    sylpheedaddressbook.cpp
    sylpheedimportdata.cpp
    sylpheedsettings.cpp
    sylpheedsettingsutils.cpp
    )
ecm_qt_declare_logging_category(sylpheedimporter_SRCS HEADER sylpheedplugin_debug.h
    IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin)

kcoreaddons_add_plugin(sylpheedimporterplugin JSON sylpheedimporter.json SOURCES
    ${sylpheedimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(sylpheedimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(sylpheedimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

=== src/plugins/thunderbird/CMakeLists.txt ===
set(thunderbirdimporter_SRCS
    thunderbirdaddressbook.cpp
    thunderbirdimportdata.cpp
    thunderbirdsettings.cpp
    addressbook/MorkParser.cpp
    )

ecm_qt_declare_logging_category(thunderbirdimporter_SRCS HEADER thunderbirdplugin_debug.h
    IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin)
kcoreaddons_add_plugin(thunderbirdimporterplugin JSON thunderbirdimporter.json SOURCES
    ${thunderbirdimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(thunderbirdimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(thunderbirdimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

=== debian/changelog ===
akonadi-import-wizard (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Drop upstream_fix_missing_includes.diff now in source.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:56:14 +0100

akonadi-import-wizard (4:19.04.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:18 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5auth-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mailcommon-dev (>= 4:19.12.3~),
               libkf5mailimporter-dev (>= 4:19.12.3~),
               libkf5mailtransport-dev (>= 19.12.3~),
               libkf5messageviewer-dev (>= 4:19.12.3~),
               libkf5pimcommon-dev (>= 4:19.12.3~),
               libkf5wallet-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<< 4:17.08~),
        kmail (<< 4:17.08~),
        kontact (<< 4:17.08~),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:17.08~),
          kmail (<< 4:17.08~),
          kontact (<< 4:17.08~),
          ${kde-l10n:all},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 19.12.3~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

# Strict local dependencies (there are no external ones anyway)
override_dh_makeshlibs:
	$(overridden_command) -V

## akonadi-import-wizard 20.08.1

=== debian/changelog ===
akonadi-import-wizard (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:47:20 +0100

akonadi-import-wizard (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:18:41 +0100

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,21 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
                libkf5auth-dev (>= 5.39.0~),
                libkf5config-dev (>= 5.39.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.39.0~),
                libkf5dbusaddons-dev (>= 5.39.0~),
                libkf5doctools-dev (>= 5.39.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mailcommon-dev (>= 4:19.12.3~),
-               libkf5mailimporter-dev (>= 4:19.12.3~),
-               libkf5mailtransport-dev (>= 19.12.3~),
-               libkf5messageviewer-dev (>= 4:19.12.3~),
-               libkf5pimcommon-dev (>= 4:19.12.3~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mailcommon-dev (>= 4:20.08.1~),
+               libkf5mailimporter-dev (>= 4:20.08.1~),
+               libkf5mailtransport-dev (>= 20.08.1~),
+               libkf5messageviewer-dev (>= 4:20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                libkf5wallet-dev (>= 5.39.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
@@ -57,7 +57,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 19.12.3~),
+Depends: libkf5mailtransport-dev (>= 20.08.1~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## akonadi-import-wizard 20.08.2

=== debian/changelog ===
akonadi-import-wizard (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:10:07 +0200

akonadi-import-wizard (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * remove eplicit call of dh_makeshlibs -V, as it is Debian default.
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:43 +0200

akonadi-import-wizard (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:17 +0200

akonadi-import-wizard (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Enable hardening all.

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:25:08 +0200

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5akonadi-dev (>= 4:20.08.2~),
               libkf5auth-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5identitymanagement-dev (>= 20.08.2~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5mailcommon-dev (>= 4:20.08.2~),
               libkf5mailimporter-dev (>= 4:20.08.2~),
               libkf5mailtransport-dev (>= 20.08.2~),
               libkf5messageviewer-dev (>= 4:20.08.2~),
               libkf5pimcommon-dev (>= 4:20.08.2~),
               libkf5wallet-dev (>= 5.71.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/pim/akonadi-import-wizard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
Rules-Requires-Root: no

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 20.08.2~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.
Provides: ${ABI:VirtualPackage}

## akonadi-import-wizard 20.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.15.3")
project(AkonadiImportWizard VERSION ${PIM_VERSION})


set(KF5_MIN_VERSION "5.71.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

# Do NOT add quote
set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "20.08.3")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(PIM_VERSION "${PIM_VERSION}")
set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")


set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
set(AKONADI_VERSION "5.15.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.13.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
set(MAILIMPORTER_VERSION_LIB "5.15.3")
set(MAILCOMMON_LIB_VERSION_LIB "5.15.3")
set(MESSAGELIB_LIB_VERSION_LIB "5.15.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")

# Find KF5 package
find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Auth ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)


find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
include_directories(${importwizard_SOURCE_DIR} ${importwizard_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT IMPORTWIZARD
        FILE importwizard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/icons/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-kontact-import-wizard.png  256-apps-kontact-import-wizard.png  64-apps-kontact-import-wizard.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)

=== src/plugins/balsa/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,12 @@
     balsasettings.cpp
     )
 ecm_qt_declare_logging_category(balsaimporter_SRCS HEADER balsaplugin_debug.h
-    IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin)
+        IDENTIFIER BALSAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.balsaplugin
+        DESCRIPTION "importwizard (balsa plugin)"
+        EXPORT IMPORTWIZARD
+    )
+
+
 
 kcoreaddons_add_plugin(balsaimporterplugin JSON balsaimporter.json SOURCES
     ${balsaimporter_SRCS} INSTALL_NAMESPACE importwizard)

=== src/plugins/evolutionv3/CMakeLists.txt ===
set(evolutionv3importer_SRCS
    evolutionaddressbook.cpp
    evolutionv3importdata.cpp
    evolutionsettings.cpp
    evolutioncalendar.cpp
    evolutionutil.cpp
    )
ecm_qt_declare_logging_category(evolutionv3importer_SRCS HEADER evolutionv3plugin_debug.h
        IDENTIFIER EVOLUTIONPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.evolutionplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
    )


kcoreaddons_add_plugin(evolutionv3importerplugin JSON evolutionv3importer.json SOURCES
    ${evolutionv3importer_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(evolutionv3importerplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(evolutionv3importerplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::MailCommon
    KF5::IdentityManagement
    KF5::MessageViewer
    )

=== src/plugins/icedove/CMakeLists.txt ===
set(icedoveimporter_SRCS
    icedoveimportdata.cpp
    ../thunderbird/thunderbirdaddressbook.cpp
    ../thunderbird/thunderbirdsettings.cpp
    ../thunderbird/addressbook/MorkParser.cpp

    )

ecm_qt_declare_logging_category(icedoveimporter_SRCS HEADER thunderbirdplugin_debug.h
        IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin
        DESCRIPTION "importwizard (thunderbird plugin)"
        EXPORT IMPORTWIZARD
    )

kcoreaddons_add_plugin(icedoveimporterplugin JSON icedoveimporter.json SOURCES
    ${icedoveimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(icedoveimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(icedoveimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

=== src/plugins/sylpheed/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,10 @@
     sylpheedsettingsutils.cpp
     )
 ecm_qt_declare_logging_category(sylpheedimporter_SRCS HEADER sylpheedplugin_debug.h
-    IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin)
+        IDENTIFIER SYLPHEEDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.sylpheedplugin
+        DESCRIPTION "importwizard (sylpheed plugin)"
+        EXPORT IMPORTWIZARD
+    )
 
 kcoreaddons_add_plugin(sylpheedimporterplugin JSON sylpheedimporter.json SOURCES
     ${sylpheedimporter_SRCS} INSTALL_NAMESPACE importwizard)

=== debian/changelog ===
akonadi-import-wizard (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:51:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,29 +8,29 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
-           Sandro Knauß <hefee@debian.org>,
+           Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.71.0~),
-               libkf5akonadi-dev (>= 4:20.08.2~),
+               libkf5akonadi-dev (>= 4:20.08.3~),
                libkf5auth-dev (>= 5.71.0~),
                libkf5config-dev (>= 5.71.0~),
                libkf5contacts-dev (>= 5:5.71.0~),
                libkf5crash-dev (>= 5.71.0~),
                libkf5dbusaddons-dev (>= 5.71.0~),
                libkf5doctools-dev (>= 5.71.0~),
-               libkf5identitymanagement-dev (>= 20.08.2~),
+               libkf5identitymanagement-dev (>= 20.08.3~),
                libkf5kio-dev (>= 5.71.0~),
-               libkf5mailcommon-dev (>= 4:20.08.2~),
-               libkf5mailimporter-dev (>= 4:20.08.2~),
-               libkf5mailtransport-dev (>= 20.08.2~),
-               libkf5messageviewer-dev (>= 4:20.08.2~),
-               libkf5pimcommon-dev (>= 4:20.08.2~),
+               libkf5mailcommon-dev (>= 4:20.08.3~),
+               libkf5mailimporter-dev (>= 4:20.08.3~),
+               libkf5mailtransport-dev (>= 20.08.3~),
+               libkf5messageviewer-dev (>= 4:20.08.3~),
+               libkf5pimcommon-dev (>= 4:20.08.3~),
                libkf5wallet-dev (>= 5.71.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.13.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.13.0~)
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/pim/akonadi-import-wizard
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
@@ -41,7 +41,7 @@
 Architecture: any
 Depends: libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: PIM data import wizard
  akonadi-import-wizard is an assistant to import PIM data from other
  applications into Akonadi for use in KDE PIM applications
@@ -50,10 +50,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 20.08.2~),
+Depends: libkf5mailtransport-dev (>= 20.08.3~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: PIM data import wizard - devel files
  akonadi-import-wizard is an assistant to import PIM data from other
  applications into Akonadi for use in KDE PIM applications

## akonadi-import-wizard 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+set(PIM_VERSION "5.16.3")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.75.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,13 +22,13 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMAddAppIcon)
 include(ECMQtDeclareLoggingCategory)
 
 # Do NOT add quote
 set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "20.08.3")
+set(RELEASE_SERVICE_VERSION "20.12.3")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -40,19 +40,20 @@
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
 
-set(KMAILTRANSPORT_LIB_VERSION "5.15.3")
-set(AKONADI_VERSION "5.15.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.16.3")
+set(AKONADI_VERSION "5.16.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "5")
 
 set(QT_REQUIRED_VERSION "5.13.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
-set(MAILIMPORTER_VERSION_LIB "5.15.3")
-set(MAILCOMMON_LIB_VERSION_LIB "5.15.3")
-set(MESSAGELIB_LIB_VERSION_LIB "5.15.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.15.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.15.3")
+set(MAILIMPORTER_VERSION "5.16.3")
+set(MAILCOMMON_LIB_VERSION "5.16.3")
+set(MESSAGELIB_LIB_VERSION "5.16.3")
+set(PIMCOMMON_LIB_VERSION "5.16.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.16.3")
+set(GRANTLEETHEME_LIB_VERSION "5.16.3")
 
 # Find KF5 package
 find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -68,18 +69,18 @@
 find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
-
-find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5MailImporterAkonadi ${MAILIMPORTER_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
-find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
+find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5MailImporterAkonadi ${MAILIMPORTER_VERSION} CONFIG REQUIRED)
+find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 include_directories(${importwizard_SOURCE_DIR} ${importwizard_BINARY_DIR})
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
 
 if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)

=== debian/changelog ===
akonadi-import-wizard (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:13:42 +0000

akonadi-import-wizard (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:48:09 +0000

akonadi-import-wizard (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:06:13 +0000

akonadi-import-wizard (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:21:04 +0000

akonadi-import-wizard (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:45:53 +0000

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5auth-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5identitymanagement-dev (>= 20.12.3~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mailcommon-dev (>= 4:20.12.3~),
               libkf5mailimporter-dev (>= 4:20.12.3~),
               libkf5mailtransport-dev (>= 20.12.3~),
               libkf5messageviewer-dev (>= 4:20.12.3~),
               libkf5pimcommon-dev (>= 4:20.12.3~),
               libkf5wallet-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<< 4:17.08~),
        kmail (<< 4:17.08~),
        kontact (<< 4:17.08~),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:17.08~),
          kmail (<< 4:17.08~),
          kontact (<< 4:17.08~),
          ${kde-l10n:all},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 20.12.3~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 21.08.1

=== debian/changelog ===
akonadi-import-wizard (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:28:34 +0100

akonadi-import-wizard (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:26 +0100

akonadi-import-wizard (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:48:46 +0100

akonadi-import-wizard (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:21 +0100

akonadi-import-wizard (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:12 +0100

akonadi-import-wizard (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:16 +0100

akonadi-import-wizard (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:20 +0100

akonadi-import-wizard (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add qt5keychain-dev to build depends
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:27:52 +0100

=== debian/control ===
--- 
+++ 
@@ -11,25 +11,26 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
                libkf5auth-dev (>= 5.39.0~),
                libkf5config-dev (>= 5.39.0~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5crash-dev (>= 5.39.0~),
                libkf5dbusaddons-dev (>= 5.39.0~),
                libkf5doctools-dev (>= 5.39.0~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
-               libkf5identitymanagement-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5identitymanagement-dev (>= 21.08.1~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mailcommon-dev (>= 4:20.12.3~),
-               libkf5mailimporter-dev (>= 4:20.12.3~),
-               libkf5mailtransport-dev (>= 20.12.3~),
-               libkf5messageviewer-dev (>= 4:20.12.3~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mailcommon-dev (>= 4:21.08.1~),
+               libkf5mailimporter-dev (>= 4:21.08.1~),
+               libkf5mailtransport-dev (>= 21.08.1~),
+               libkf5messageviewer-dev (>= 4:21.08.1~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
                libkf5wallet-dev (>= 5.39.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
+               qt5keychain-dev,
                qtbase5-dev (>= 5.8.0~),
 Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/
@@ -58,7 +59,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 20.12.3~),
+Depends: libkf5mailtransport-dev (>= 21.08.1~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
